Skip to main content
Get incident events
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/3/incidents/incidents/v1/{incident_id}/events \
  --header 'Authorization: <api-key>'
{
  "incidentEvents": [
    {
      "id": "incident_event_id",
      "incidentEventType": "INCIDENT_EVENT_TYPE_UNSPECIFIED",
      "originatorType": "ORIGINATOR_TYPE_UNSPECIFIED",
      "acknowledge": {
        "acknowledgedBy": {
          "userId": "user_id"
        }
      },
      "operationalEvent": {
        "systemName": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

incident_id
string
required

ID of the incident to retrieve events for

Example:

"incident_id"

Response

Response containing all events associated with the requested incident

incidentEvents
Incident event · object[]